dofile('data/Scripts/Screens/DialogScreen.lua');

------------------------------------------------------------------------------
--// auxiliary functions

function CreateButtons()
	do
		local button = CreateButton('ButtonUp','ButtonOver','ButtonDown', 'YES', dialogScreen);
		button:AttachTo(dialogScreen);
		button:SetXY(SCREEN_WIDTH/2.0 -10, 530.0);
		button:SetZ(1);
		button:SetVisible(true);

		local caption = CreateTextEntity('GUICaptionFont', 'OK');
		caption:SetName('OkButtonCaption');
	    caption:AttachTo(button);
		caption:SetXY(0,0);
		caption:SetZ(1.0);
	end
	PlaySound('L99S01');
end
